Page MenuHomePhabricator

Community Relations support needed for a read-only window for s7 (several wikis)
Closed, ResolvedPublic

Description

What is the problem?

We need to failover the current s7 database primary master, to a newer host (T238044)
Technical tracking task for this maintenance: T238044
For this operation we need to set up the following wiki on read-only:

arwiki
cawiki
eswiki
fawiki
frwiktionary
hewiki
huwiki
kowiki
metawiki
rowiki
ukwiki
viwiki

This also includes centralauth database, which means some operations might fail during the read-only period, such as: GlobalRenames, Changing/Confirming emails, logging into new wikis, password changes...

How can we help you?

We need to let users of the above wiki, that on Tue 26th November from 06:00 to 06:30 AM UTC that wiki will be on read-only. No writes will be allowed, reads will remain unaffected.

What does success look like?

Users will get notified and plan their work to avoid that maintenance window.
If everything goes fine, we expect the read-only window to last around 1-2 minutes, not 30.

What is your deadline?

We'd like to do this switchover by Tue 26th Nov at 06:00 AM UTC

Event Timeline

Restricted Application added subscribers: Strainu, Base, revi. · View Herald TranscriptNov 12 2019, 9:30 AM
Trizek-WMF triaged this task as Medium priority.Nov 13 2019, 2:22 PM
Johan added a subscriber: Johan.Nov 14 2019, 12:24 PM

Since this will happen just ~12 hours after Tech News is delivered on 26 November, I'll include it in the newsletter being distributed on Monday instead to give people a proper chance to see it.

I've sent a message to the impacted wikis, and also pinged GlobalRenamers and Stewards.

revi added a comment.Wed, Nov 20, 6:39 PM

With the CentralAuth being affected, I assume global LOCKs will be unavailable, but does it also affect global BLOCKs? (Locks for account, BLocks for IPs.)

With the CentralAuth being affected, I assume global LOCKs will be unavailable, but does it also affect global BLOCKs? (Locks for account, BLocks for IPs.)

I guess new blocks will not be able to happen. Existing ones should not be affected as read access will not be interrupted at anytimes.
@Reedy do you happen to have a more concrete answer?

Thanks!

With the CentralAuth being affected, I assume global LOCKs will be unavailable, but does it also affect global BLOCKs? (Locks for account, BLocks for IPs.)

I guess new blocks will not be able to happen. Existing ones should not be affected as read access will not be interrupted at anytimes.
@Reedy do you happen to have a more concrete answer?
Thanks!

Yeah, existing (global)blocks should work fine, same for global locks

Both the globalblocks and the locked flag (globaluser,gu_locked) exist on s7, so both will be unable to be created/updated (or any other related user updates) during the readonly window

Strainu removed a subscriber: Strainu.Thu, Nov 21, 11:24 AM

I have reserved a window on the Deployments page.

I have reserved a window on the Deployments page.

Thank you!

Marostegui added a comment.EditedTue, Nov 26, 5:57 AM

Just a heads up, the banners on eswiki have the date wrong for one of the wikis:

Se realizarán tareas de mantenimiento técnico en breve. 26 noviembre - 06:00 AM UTC - 06:30 AM UTC
Mientras se realiza dicho mantenimiento, el 19 de marzo de 2019, desde las 15:00 (UTC) a las 15:15 (UTC), es posible que no puedas guardar ninguna edición.

The first sentence is correct.
The second sentence says 19 March from 15:00 UTC to 15:15 UTC, which is not correct.

frwiktionary is fine (I haven't checked the rest of the wikis)

Marostegui closed this task as Resolved.Tue, Nov 26, 6:19 AM

This was done successfully.

Read only starts: 06:00:24
Read only stops: 06:01:09

Total read only time: 45 seconds

Thanks for your help!

Trizek-WMF added a comment.EditedThu, Nov 28, 5:42 PM

Just a heads up, the banners on eswiki have the date wrong for one of the wikis:

Se realizarán tareas de mantenimiento técnico en breve. 26 noviembre - 06:00 AM UTC - 06:30 AM UTC
Mientras se realiza dicho mantenimiento, el 19 de marzo de 2019, desde las 15:00 (UTC) a las 15:15 (UTC), es posible que no puedas guardar ninguna edición.

The first sentence is correct.
The second sentence says 19 March from 15:00 UTC to 15:15 UTC, which is not correct.
frwiktionary is fine (I haven't checked the rest of the wikis)

Thank you for the note. It is very likely to be a raw translation that was left there. I'm investigating.

Trizek-WMF added a comment.EditedThu, Nov 28, 5:46 PM

Apparently (and very strangely), there were no message in Spanish for the current messages. Seems that the banner was using the old messages. Fixed now.